#include <paragui.h>
#include <pgapplication.h>
#include <pglistbox.h>
#include <pglistboxitem.h>
#include <pgtheme.h>

#include "mw.h"

SDL_Surface *screen;
int main( int argc, char **argv )
{
	PG_Application app;
	Uint32 videoflags = SDL_ANYFORMAT; //|SDL_FULLSCREEN;
	Uint8  vidBpp = 16;

	if( !app.LoadTheme( "matheme") )
	{
		printf("Cant load theme!\n");
	}
	PG_FileArchive::AddArchive("/home/matti/Projects/src");
	app.InitScreen( XRES, YRES, vidBpp, SDL_HWSURFACE|SDL_DOUBLEBUF|SDL_ANYFORMAT);

	app.SetCursor(app.GetTheme()->FindSurface("Pointer", "Pointer", "normal"));
	app.ShowCursor(PG_Application::SOFTWARE);

	screen = app.GetScreen();
	Mw *win = new Mw(NULL, PG_Rect(XRES/4, 100, 400, 450 ), "mawin" );
	win->Show();
	app.Run();
	return 0;
}
